Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IRenderDependencyTag

All Superinterfaces
  Serializable

    public interface IRenderDependencyTag

extends Serializable

Represents a render dependency tag. A tag has a name, a number of attributes, and optionally some text.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Nested Class Summary
`static class` | `IRenderDependencyTag.Factory` Factory to create a default implementation.

Method Summary
`String` | `getAttribute(String name)` Returns the value of an attribute.
`Set<String>` | `getAttributeNames()` Returns the names of attributes of the tag.
`String` | `getName()` Returns the name of the tag.
`String` | `getText()` Returns optional text contents of the tag.
`String` | `setAttribute(String name, String value)` Sets an attribute
`void` | `setName(String name)` Sets the name of the tag.
`void` | `setText(String text)` Sets the text value

Method Detail

### getName

    String getName()

  Returns the name of the tag.

  Returns
    name

### setName

    void setName(String name)

  Sets the name of the tag.

  Parameters
    `name` -

### getAttributeNames

    Set<String> getAttributeNames()

  Returns the names of attributes of the tag.

  Returns
    names

### getAttribute

    String getAttribute(String name)

  Returns the value of an attribute.

  Parameters
    `name` -
  Returns
    value

### setAttribute

    String setAttribute(String name,
                        String value)

  Sets an attribute

  Parameters
    `name` -
    `value` -
  Returns
    old value

### getText

    String getText()

  Returns optional text contents of the tag.

  Returns
    text

### setText

    void setText(String text)

  Sets the text value

  Parameters
    `text` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved